Edit

Network Node - Get Interfaces For GivenNode

Retrieves data for network node by node ID and request type.

GET http://<Servername>/OperationsManager/NetworkNode/{nodeId}/{requestType}

URI Parameters

Name In Required Type Description
nodeId
path True

string

Specify the node ID.

requestType
path True

string

Specify one of the following properties (healthofinterfaces, averageavailability)

Responses

Name Type Description
200 OK

object

OK

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Examples

GetInterfacesForGivenNode For averageavailability
GetInterfacesForGivenNode For healthofinterfaces

GetInterfacesForGivenNode For averageavailability

Sample request

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/averageavailability

Sample response

[
  {
    "nodeId": null,
    "today": 100,
    "yesterday": 100,
    "lastSevenDays": 100,
    "lastThirtyDays": 100
  }
]

GetInterfacesForGivenNode For healthofinterfaces

Sample request

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/healthofinterfaces

Sample response

[
  {
    "description": "GigabitEthernet0/28",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "e283c15f-7773-8146-b2f6-37bf97443404",
    "interfaceName": "PORT-10128",
    "interfaceState": "notmonitored"
  },
  {
    "description": "GigabitEthernet0/40",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "26b2a0fb-f4e2-0f63-acbe-538b87759277",
    "interfaceName": "PORT-10140",
    "interfaceState": "notmonitored"
  }
]